OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
PTKernel
PColStd

# PColStd_HArray1OfInteger Class Reference

`#include <PColStd_HArray1OfInteger.hxx>`

## Public Member Functions
Standard_EXPORT | PColStd_HArray1OfInteger (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | PColStd_HArray1OfInteger (const Standard_Integer Low, const Standard_Integer Up, const Standard_Integer &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Standard_Integer &Value)
Standard_Integer | Upper () const
Standard_EXPORT Standard_Integer | Value (const Standard_Integer Index) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PColStd_HArray1OfInteger ()
| PColStd_HArray1OfInteger (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColStd_HArray1OfIntegerLowerBound () const
void | _CSFDB_SetPColStd_HArray1OfIntegerLowerBound (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColStd_HArray1OfIntegerUpperBound () const
void | _CSFDB_SetPColStd_HArray1OfIntegerUpperBound (const Standard_Integer p)
const PColStd_FieldOfHArray1OfInteger & | _CSFDB_GetPColStd_HArray1OfIntegerData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Member Functions
Standard_EXPORT PColStd_FieldOfHArray1OfInteger | Field () const
Standard_EXPORT Standard_Address | Datas () const
## Private Attributes
Standard_Integer | LowerBound
Standard_Integer | UpperBound
PColStd_FieldOfHArray1OfInteger | Data

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_HArray1OfInteger::PColStd_HArray1OfInteger | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT PColStd_HArray1OfInteger::PColStd_HArray1OfInteger | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Standard_Integer & | V
| ) |

PColStd_HArray1OfInteger::PColStd_HArray1OfInteger | ( |  | ) | `[inline]`

PColStd_HArray1OfInteger::PColStd_HArray1OfInteger | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PColStd_FieldOfHArray1OfInteger& PColStd_HArray1OfInteger::_CSFDB_GetPColStd_HArray1OfIntegerData | ( |  | ) | const`[inline]`

Standard_Integer PColStd_HArray1OfInteger::_CSFDB_GetPColStd_HArray1OfIntegerLowerBound | ( |  | ) | const`[inline]`

Standard_Integer PColStd_HArray1OfInteger::_CSFDB_GetPColStd_HArray1OfIntegerUpperBound | ( |  | ) | const`[inline]`

void PColStd_HArray1OfInteger::_CSFDB_SetPColStd_HArray1OfIntegerLowerBound | ( | const Standard_Integer | p | ) | `[inline]`

void PColStd_HArray1OfInteger::_CSFDB_SetPColStd_HArray1OfIntegerUpperBound | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Address PColStd_HArray1OfInteger::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PColStd_FieldOfHArray1OfInteger PColStd_HArray1OfInteger::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PColStd_HArray1OfInteger::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PColStd_HArray1OfInteger::Length | ( |  | ) | const

Standard_Integer PColStd_HArray1OfInteger::Lower | ( |  | ) | const

Standard_EXPORT void PColStd_HArray1OfInteger::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_Integer & | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColStd_HArray1OfInteger::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColStd_HArray1OfInteger::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PColStd_HArray1OfInteger::Upper | ( |  | ) | const

Standard_EXPORT Standard_Integer PColStd_HArray1OfInteger::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

PColStd_FieldOfHArray1OfInteger PColStd_HArray1OfInteger::Data`[private]`

Standard_Integer PColStd_HArray1OfInteger::LowerBound`[private]`

Standard_Integer PColStd_HArray1OfInteger::UpperBound`[private]`

The documentation for this class was generated from the following file:

- PColStd_HArray1OfInteger.hxx